﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;
using VisualPoint.Controls.Actions;

namespace VisualPoint.Controls.Views
{
    /// <summary>
    /// Interaction logic for OpenFileActionEditor.xaml
    /// </summary>
    public partial class TextWriteActionEditor : Window, IActionEditor<TextWriteAction>
    {
        public TextWriteActionEditor()
        {
            InitializeComponent();
        }

        public TextWriteAction Action
        {
            set
            {
                DataContext = value;
            }
        }

        protected void Ok_Click(object sender, RoutedEventArgs e)
        {
            this.DialogResult = true;
            Close();
        }

        protected void Cancel_Click(object sender, RoutedEventArgs e)
        {
            this.DialogResult = false;
            Close();
        }

    }
}
