/***************************************************************************
 * VERSION.H - Contol version defines
 *
 * DSOFramer: Version Information Header (Shared)
 *
 *  Copyright 1999-2004; Microsoft Corporation. All rights reserved.
 *  Written by Microsoft Developer Support Office Integration (PSS DSOI)
 * 
 *  This code is provided via KB 311765 as a sample. It is not a formal
 *  product and has not been tested with all containers or servers. Use it
 *  for educational purposes only. See the EULA.TXT file included in the
 *  KB download for full terms of use and restrictions.
 *
 *  THIS CODE IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, 
 *  EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE IMPLIED
 *  WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A PARTICULAR PURPOSE.
 *
 ***************************************************************************/
/***************************************************************************
 *
 *  IMPORTANT: If you modify this sample, you should change all of the values
 *  below to differentiate your control from this sample.
 *
 ***************************************************************************/
#ifndef DS_VERSION_H
#define DS_VERSION_H

#define DSOFRAMERCTL_VERSION          1.3
#define DSOFRAMERCTL_VERSION_MAJOR    1
#define DSOFRAMERCTL_VERSION_MINOR    3
#define DSOFRAMERCTL_VERSION_BUILD    1323
#define DSOFRAMERCTL_VERSIONSTR      "1.3"
#define DSOFRAMERCTL_VERSIONSTRFULL  "1.3.1323.1"

#define DSOFRAMERCTL_FULLNAME  "DSO ActiveX Document Framer Control"
#define DSOFRAMERCTL_SHORTNAME "DSO Framer Control Object"

#define DSOFRAMERCTL_PROGID    "DSOFramer.FramerControl"

#define DSOFRAMERCTL_TLIB        00460180-9E5E-11d5-B7C8-B8269041DD57
#define DSOFRAMERCTL_TLIBSTR   "{00460180-9E5E-11d5-B7C8-B8269041DD57}"

#define DSOFRAMERCTL_INTERFACE   00460181-9E5E-11d5-B7C8-B8269041DD57

#define DSOFRAMERCTL_CLSID       00460182-9E5E-11d5-B7C8-B8269041DD57
#define DSOFRAMERCTL_CLSIDSTR  "{00460182-9E5E-11d5-B7C8-B8269041DD57}"

#define DSOFRAMERCTL_DISPEVTS    00460185-9E5E-11d5-B7C8-B8269041DD57

#define DSOF_DISPID_FILECMD       1
#define DSOF_DISPID_DOCOPEN       2
#define DSOF_DISPID_DOCCLOSE      3
#define DSOF_DISPID_ACTIVATE      4
#define DSOF_DISPID_BDOCCLOSE     5
#define DSOF_DISPID_BDOCSAVE      6
#define DSOF_DISPID_ENDPREVIEW    7
#define DSOF_DISPID_SAVECOMPLETE  8

#endif //DS_VERSION_H
