﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;

namespace VisualPoint.Controls.Views
{
    /// <summary>
    /// Interaction logic for WindowsConfigurationWindow.xaml
    /// </summary>
    public partial class WindowsConfigurationWindow : Window
    {
        public WindowsConfigurationWindow()
        {
            InitializeComponent();
        }


        public string ConfigurationName 
        {
            get
            {
                return tbxName.Text;
            }
        }
        

        protected void Ok_Click(object sender, RoutedEventArgs e)
        {
            this.DialogResult = true;
            Close();
        }

        protected void Cancel_Click(object sender, RoutedEventArgs e)
        {
            this.DialogResult = false;
            Close();
        }
    }
}
